# Uses of Enum
org.italiangrid.voms.asn1.VOMSACGenerator.ACGenerationProperties

Packages that use VOMSACGenerator.ACGenerationProperties
Package
Description
org.italiangrid.voms.asn1
This package provides classes and utilities that deal with serialization and deserialization of VOMS attributes from ASN.1 streams.

## Uses of VOMSACGenerator.ACGenerationProperties in org.italiangrid.voms.asn1

Fields in org.italiangrid.voms.asn1 with type parameters of type VOMSACGenerator.ACGenerationProperties
Modifier and Type
Field
Description
`static final EnumSet<VOMSACGenerator.ACGenerationProperties>`
VOMSACGenerator.`defaultGenerationProperties`
Default generation properties (none enabled).
Methods in org.italiangrid.voms.asn1 that return VOMSACGenerator.ACGenerationProperties
Modifier and Type
Method
Description
`static VOMSACGenerator.ACGenerationProperties`
VOMSACGenerator.ACGenerationProperties.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static VOMSACGenerator.ACGenerationProperties[]`
VOMSACGenerator.ACGenerationProperties.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Method parameters in org.italiangrid.voms.asn1 with type arguments of type VOMSACGenerator.ACGenerationProperties
Modifier and Type
Method
Description
`org.bouncycastle.cert.X509AttributeCertificateHolder`
VOMSACGenerator.`generateVOMSAttributeCertificate(EnumSet<VOMSACGenerator.ACGenerationProperties> generationProperties, List<String> fqans, List<VOMSGenericAttribute> gas, List<String> targets, X509Certificate holderCert, BigInteger serialNumber, Date notBefore, Date notAfter, String voName, String host, int port)`
Generates a VOMS attribute certificate with the specified properties.